Bug 96984 - (USB)Kernel oops with 2.4.20-18.7 and Speedtouch USB ADSL Modem
Summary: (USB)Kernel oops with 2.4.20-18.7 and Speedtouch USB ADSL Modem
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-07 20:44 UTC by Philip Ross
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-24 22:50:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel oops on starting modem_run (5.31 KB, text/plain)
2003-06-07 20:45 UTC, Philip Ross
no flags Details
Messages logged when starting the Speedtouch modem with kernel 2.4.20-13.7 (1.69 KB, text/plain)
2003-06-07 20:46 UTC, Philip Ross
no flags Details
Test fix #1 (ohci6) (637 bytes, patch)
2003-07-26 01:07 UTC, Pete Zaitcev
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:263 high SHIPPED_LIVE Updated 2.4 kernel resolves obscure bugs. 2003-08-20 04:00:00 UTC

Description Philip Ross 2003-06-07 20:44:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:

I am using version 1.2 beta 1 of the Speedtouch USB driver from
http://speedtouch.sourceforge.net with a Speedtouch USB modem
(http://www.speedtouch.com/pdf/datasheetusb.pdf).

This was working without any problems with kernel 2.4.20-13.7. 

I have just upgraded to the latest errata kernel 2.4.20-18.7 and I now get a
kernel oops when starting the driver (starting the modem_run program which
uploads the firmware to the device).

I have attached the relevant portion from /var/log/messages to this bug.



Version-Release number of selected component (if applicable):
kernel-2.4.20-18.7

How reproducible:

Always


Steps to Reproduce:

1. Install Speedtouch 1.2 beta 1 drivers.
2. Upgrade to errata kernel 2.4.20-18.7.
3. Start modem_run.
    

Expected Results:  

I've attached the messages that usually get logged when starting the Speedtouch
modem with kernel 2.4.20-13.7.


Additional info:

My USB card is a PCI card. The following is reported in /proc/pci (when running
kernel 2.4.20-13.7):

Bus  0, device  15, function  0:
    USB Controller: OPTi Inc. 82C861 (rev 16).
      IRQ 11.
      Master Capable.  Latency=64.
      Non-prefetchable 32 bit memory at 0xffbea000 [0xffbeafff].


The natsemi module referenced is the driver for eth0.

Comment 1 Philip Ross 2003-06-07 20:45:51 UTC
Created attachment 92243 [details]
Kernel oops on starting modem_run

Comment 2 Philip Ross 2003-06-07 20:46:39 UTC
Created attachment 92244 [details]
Messages logged when starting the Speedtouch modem with kernel 2.4.20-13.7

Comment 3 Alan Cox 2003-06-08 01:40:11 UTC
You should report speedtouch problems to the speedtouch maintainers not to Red Hat.
Thanks


Comment 4 Philip Ross 2003-06-08 09:37:51 UTC
I have reported this to the Speedtouch maintainers too. 

I thought it could be a problem with the latest errata kernel because the
RHSA-2003:187-25 advisory lists 'Driver bug fixes are included... for the USB
ohci driver'. This is a kernel oops that involves the USB ohci driver, so I
thought something may have been broken between 2.4.20-13.7 and 2.4.20-18.7.

Comment 5 Philip Ross 2003-06-08 10:11:22 UTC
Just to clarify - the Speedtouch USB driver I am using is a userspace driver
(the ATM connection is terminated in userspace). This crash occurs in a clean
(no patches applied) Red Hat kernel.

Comment 6 Pete Zaitcev 2003-06-08 15:45:10 UTC
No problem, reopening. It is possible that the ohci fix is at fault.
Unfortunately, it was a very important fix. I cannot back it out.


Comment 7 Tim Woodall 2003-06-14 12:53:42 UTC
I've also seen this problem (but haven't tested on the 2.4.20-13.7 kernel).

When using usb-uhci there is no kernel oops on my system here. The system I
have seen the oops on was either using usb-ohci or ehci-hcd. I'm pretty sure
it was the ohci usb controller. Unfortuately it's a remote box so I can't
easily check now.

Comment 8 Emad El Mehelmy 2003-07-08 05:11:42 UTC
I faced the same problem using RedHat 9.0 after upgrading to from 2.4.20-8 to
2.4.20-18.9 and I have usb-ohci

Regards,
Emad

Comment 9 Philip Ross 2003-07-24 00:09:58 UTC
This is still a problem with the new errata kernel 2.4.20-19.7
(https://rhn.redhat.com/errata/RHSA-2003-238.html).

Comment 10 Pete Zaitcev 2003-07-24 00:54:59 UTC
Thanks, I know. I didn't fix it yet.


Comment 11 Pete Zaitcev 2003-07-26 01:07:44 UTC
Created attachment 93158 [details]
Test fix #1 (ohci6)

Comment 12 Pete Zaitcev 2003-07-26 01:17:20 UTC
Original entry for the ohci disaster was in bug 84814, in case anyone
is wondering why we cannot just back out ohci changes from 2.4.20-13.


Comment 13 Pete Zaitcev 2003-07-30 19:23:18 UTC
CVS 2.4.20-19+



Note You need to log in before you can comment on or make changes to this bug.